% This file takes a 1-NN ground-truth and a set of results to produce
% the ranks obtained for the nearest neighbors
% 
% Usage: ranks = compute_ranks (gnd, idx, notfound)
% where
%   gnd        ground truth
%   idx        resutls to be evaluated
%   notfound   default value
%
% This software is governed by the CeCILL license under French law and
% abiding by the rules of distribution of free software. 
% See http://www.cecill.info/licences.en.html
%
% This package was written by Raghavendran Balu, Teddy Furon, Herve Jegou
% Copyright (C) INRIA
% Last change: February 2014.

function ranks = compute_ranks (gnd, idx, defval)

if nargin < 3, defval = NaN; end

nq = size (gnd, 2);

ranks = zeros (nq, 1);
for i = 1:nq
  pos = find (idx(:, i) == gnd(i));
  if size (pos) == 1
    ranks(i) = pos;
  else
    ranks(i) = defval;
  end
end
end