% Fucntion to calculate the entropy
% 
% Usage: E = entropy(d)
% where
%   d        input probability distribution
%
% This software is governed by the CeCILL license under French law and
% abiding by the rules of distribution of free software. 
% See http://www.cecill.info/licences.en.html
%
% This package was written by Raghavendran Balu, Teddy Furon, Herve Jegou
% Copyright (C) INRIA
% Last change: February 2014.

function E = entropy(d)        
    [Y,I,J] = unique(d','rows'); 	
	H = sparse(J,1,1);
	p = full(H(H>0))/length(d);
	E = -sum(p.*log2(p));        
end
