% Function to plot recall
% 
% Usage: plot_recall(result,cfg)
% where
%   result        struct output from the main function
%   cfg           configuration object
%
% This software is governed by the CeCILL license under French law and
% abiding by the rules of distribution of free software. 
% See http://www.cecill.info/licences.en.html
%
% This package was written by Raghavendran Balu, Teddy Furon, Herve Jegou
% Copyright (C) INRIA
% Last change: February 2014. 

function [] = plot_recall(result,cfg)
figure('Name','Recall plot')
x_ = cfg.rlist;
nX = length(x_);
nY = length(result);
y_ = zeros(nX,nY);
y_label = cell(1,nY);
for i = 1:nY
    y_(:,i) = result(i).recallk(:,4);
    y_label{i}= result(i).name;
end
plot(x_,y_);
set(gca,'xscale','log');
legend(y_label);
xlabel('R');
ylabel('Recall@R');
end